package com.bocloud.cmp.model.storage;

import com.bocloud.cmp.model.SnapshotModel;
import com.bocloud.cmp.model.VolumeModel;

import java.util.List;

public class StorageGroupModel {
    private String storageUuid; // 所属集群uuid
    private String storageKeyPath; // 所属集群Path
    private String groupUuid; // 唯一标识
    private String keyPath; // smis用来传参
    private String name; // 名称
    private String type; // 类型：VG卷组、HG主机组、PG端口组
    private String status; // 状态
    private List<VolumeModel> volumes; // 该组下的卷
    private List<StorageHostModel> hosts; // 该组下的主机
    private List<StorageFCPortModel> ports; // 该组下的光口
    private List<SnapshotModel> snapshots; // 该组下的快照
    private List<String> volumeIdentifiers; // EMC创建卷组用：创建卷组时要添加的卷
    private List<String> volumeKeyPaths; // EMC创建快照组用：创建快照组时要添加的卷
    private List<String> wwpns; // EMC创建卷组用: 创建卷组时要映射的主机端口
    private List<String> fcPortNames; // EMC创建卷组用: 对应上面的每个主机端口对应的光纤口

    public String getStorageUuid() {
        return storageUuid;
    }

    public void setStorageUuid(String storageUuid) {
        this.storageUuid = storageUuid;
    }

    public String getStorageKeyPath() {
        return storageKeyPath;
    }

    public void setStorageKeyPath(String storageKeyPath) {
        this.storageKeyPath = storageKeyPath;
    }

    public String getGroupUuid() {
        return groupUuid;
    }

    public void setGroupUuid(String groupUuid) {
        this.groupUuid = groupUuid;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String keyPath) {
        this.keyPath = keyPath;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<VolumeModel> getVolumes() {
        return volumes;
    }

    public void setVolumes(List<VolumeModel> volumes) {
        this.volumes = volumes;
    }

    public List<StorageHostModel> getHosts() {
        return hosts;
    }

    public void setHosts(List<StorageHostModel> hosts) {
        this.hosts = hosts;
    }

    public List<StorageFCPortModel> getPorts() {
        return ports;
    }

    public void setPorts(List<StorageFCPortModel> ports) {
        this.ports = ports;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<String> getVolumeIdentifiers() {
        return volumeIdentifiers;
    }

    public void setVolumeIdentifiers(List<String> volumeIdentifiers) {
        this.volumeIdentifiers = volumeIdentifiers;
    }

    public List<String> getWwpns() {
        return wwpns;
    }

    public void setWwpns(List<String> wwpns) {
        this.wwpns = wwpns;
    }

    public List<String> getFcPortNames() {
        return fcPortNames;
    }

    public void setFcPortNames(List<String> fcPortNames) {
        this.fcPortNames = fcPortNames;
    }

    public List<SnapshotModel> getSnapshots() {
        return snapshots;
    }

    public void setSnapshots(List<SnapshotModel> snapshots) {
        this.snapshots = snapshots;
    }

    public List<String> getVolumeKeyPaths() {
        return volumeKeyPaths;
    }

    public void setVolumeKeyPaths(List<String> volumeKeyPaths) {
        this.volumeKeyPaths = volumeKeyPaths;
    }
}
